<?php
/**
 * Custom widgets.
 *
 * @package basic_blog
 */

if ( ! function_exists( 'basic_blog_load_widgets' ) ) :

	/**
	 * Load widgets.
	 *
	 * @since 1.0.0
	 */
	function basic_blog_load_widgets() {

		// Extended Recent Post.
		register_widget( 'basic_blog_Extended_Recent_Posts' );

		// Popular Post.
		register_widget( 'basic_blog_Popular_Posts' );
		
		// Carousel.
		register_widget( 'basic_blog_carousel_widget' );

	}

endif;

add_action( 'widgets_init', 'basic_blog_load_widgets' );

/**
 * Recent Posts Widget
 */
require get_template_directory() . '/includes/widgets/recent-posts.php';

/**
 * Popular Posts Widget
 */
require get_template_directory() . '/includes/widgets/popular-posts.php';

/**
 * Carousel Widget
 */
require get_template_directory() . '/includes/widgets/carousel-widget.php';
